---
title: Autocomplete
slug: countdownapi/ebay-product-data-api/parameters/autocomplete
docTags: 
createdAt: 2024-07-29T12:49:20.015Z
---

# Autocomplete Parameters

<font color="#52c41a">`GET`</font>  `/request`

When making a request with the  `type`  parameter set to  `type=autocomplete`  Countdown API will return autocomplete suggestions for the search term specified in the  `search_term`  parameter, on the Ebay domain specified in the  `ebay_domain`  parameter.

![](https://apiimages.imgix.net/countdownapi/images/png/docs/autocomplete.png?auto=format\&ixlib=react-9.5.1-beta.1\&w=600 "Autocomplete Suggestions")

For example, to request autocomplete suggestions for the search term  `memory`  on  `ebay.com`  the request would be:

:::CodeblockTabs
HTTP

```HTTP
https://api.countdownapi.com/request?api_key=demo&type=autocomplete&ebay_domain=ebay.com&search_term=memory
```

```curl
curl -L --get https://api.countdownapi.com/request \
-d api_key="demo" \
-d type="autocomplete" \
-d ebay_domain="ebay.com" \
-d search_term="memory"
```

```nodejs
const axios = require('axios');

// set up the request parameters
const params = {
  api_key: "demo",
  type: "autocomplete",
  ebay_domain: "ebay.com",
  search_term: "memory"
}

// make the http GET request to Countdown API
axios.get('https://api.countdownapi.com/request', { params })
  .then(response => {

    // print the JSON response from Countdown API
    console.log(JSON.stringify(response.data, 0, 2));

  }).catch(error => {
    // catch and print the error
    console.log(error);
  })
```

```python
import requests
import json

# set up the request parameters
params = {
  'api_key': 'demo',
  'type': 'autocomplete',
  'ebay_domain': 'ebay.com',
  'search_term': 'memory',
}

# make the http GET request to Countdown API
api_result = requests.get('https://api.countdownapi.com/request', params)

# print the JSON response from Countdown API
print(json.dumps(api_result.json()))
```

```php
<?php
      
# set up the request parameters
$queryString = http_build_query([
  'api_key' => 'demo',
  'type' => 'autocomplete',
  'ebay_domain' => 'ebay.com',
  'search_term' => 'memory',
]);

# make the http GET request to Countdown API
$ch = curl_init(sprintf('%s?%s', 'https://api.countdownapi.com/request', $queryString));
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);
# the following options are required if you're using an outdated OpenSSL version
# more details: https://www.openssl.org/blog/blog/2021/09/13/LetsEncryptRootCertExpire/
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($ch, CURLOPT_TIMEOUT, 180);

$api_result = curl_exec($ch);
curl_close($ch);

# print the JSON response from Countdown API
echo $api_result;

?>
```
:::

***

### Autocomplete Parameters

The following parameters are available for all requests made when  `type=autocomplete` .

| *`Parameter`*   | *`Required`*        | *`Description`*                                                                                                                                                                                                                                                                      |
| --------------- | ------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| *`ebay_domain`* | <u>*`required`*</u> | The Ebay domain to retrieve autocomplete details from for the search term specified in the `search_term` parameter. For a full list of supported Ebay domains see [Supported Ebay Domains ](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/reference/ebay-domains). |
| *`search_term`* | <u>*`required`*</u> | The search term to get autocomplete suggestions for. Used in combination with the `ebay_domain` parameter.                                                                                                                                                                           |

***

**Next Steps**
     [Autocomplete Results](https://docs.trajectdata.com/countdownapi/ebay-product-data-api/results/autocomplete)
